> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yiksipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Child Address

> This endpoint retrieves the auto settlement configurations for a specific address identified. It provides details about the rules and settings associated with automatic settlements for the specified address.



## OpenAPI

````yaml get /v1/wallets/{walletId}/addresses/{addressId}/auto-settlements
openapi: 3.0.3
info:
  title: Yiksi Pay Documentation
  description: >-
    The OpenAPI specification of the Yiksi Pay API that enables fintechs and
    developers to seamlessly integrate stablecoin deposits and payments into
    their products.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.yiksipay.com
security:
  - apiKey: []
tags:
  - name: Wallet
    description: >-
      Wallet Management System


      Comprehensive wallet management API for multi-blockchain operations. This
      system handles wallet creation, configuration, balance monitoring, and
      integration with various blockchain networks.


      Core Functionality:


      - Multi-blockchain wallet creation and management
          
      - Balance monitoring and asset tracking
          
      - Auto-settlement rule configuration
          
      - Address generation and management
          
      - Transaction monitoring and processing
  - name: Addresses
    description: >-
      Address Management System


      Comprehensive blockchain address management API for operations. This
      system handles address creation, validation, monitoring, and management
      across multiple blockchain networks.  


      Core Functionality:


      - Multi-blockchain address generation
          
      - Address validation and verification
          
      - Balance monitoring and tracking
          
      - Transaction history management
          
      - Address labeling and organization
          
      - Integration with wallet systems
          
      - Real-time address monitoring
  - name: Asset
  - name: Transactions
  - name: Withdraw
    description: >-
      The Withdraw feature allows you to programmatically withdraw stablecoins
      from your master wallet with ease
  - name: Signing
    description: >-
      Typed data signing service for secure transaction authorization. Supports
      all EIP-712 standards including EIP-3009 (TransferWithAuthorization) and
      EIP-2612 (Permit).
  - name: Swap
    description: >-
      The Swap feature enables users to exchange one stabelcoin asset for
      another across different blockchains. This feature provides a seamless way
      to convert between different stablecoins while maintaining security and
      compliance standards.
  - name: Auto Settlements
    description: >-
      Creates a new auto settlement rule for a wallet. Auto settlement
      automatically transfers/swap assets based on configured rules when certain
      conditions are met.


      Rules can be configured for:


      - Source blockchain and assets
          
      - Destination blockchain and asset
          
      - Amount ranges (min/max)
          
      - Slippage tolerance
          
  - name: Smart Contract
    description: >-
      This API provides endpoints for interacting with smart contracts on the
      blockchain. It allows for reading contract data, executing contract
      functions, and estimating network fees.
  - name: Beneficiaries
    description: >-
      This API allows you to create beneficiaries with automatic settlements to
      your external wallets on a periodic basis.


      Example frequencies: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY
  - name: AML
    description: >-
      The AML (Anti Money Laundering) API provides a quick way for you to check
      if an address is blacklisted or sanctioned
  - name: Asset Recovery
    description: >-
      Enables the recovery (salvage) of both native blockchain assets and tokens
      from a specified sender address to a recipient address. This feature
      supports emergency fund recovery and asset consolidation operations.
  - name: Miscellaneous
    description: >-
      The Miscellaneous API are supporting APIs that can be used to provide more
      details to other APIs.
  - name: Asset1
  - name: Blockchain
  - name: Webhooks
    description: >-
      Webhooks allow you to set up a notification system that can be used to
      receive updates on certain requests made to the Yiksi Pay API.  
        
      To see full list and instructions
      [https://docs.yiksipay.com/essentials/webhooks](https://docs.yiksipay.com/essentials/webhooks)


      ##
  - name: Deposit
  - name: Withdraw1
  - name: Swap1
paths:
  /v1/wallets/{walletId}/addresses/{addressId}/auto-settlements:
    parameters:
      - name: walletId
        in: path
        required: true
        schema:
          type: string
          example: '{{walletId}}'
      - name: addressId
        in: path
        required: true
        schema:
          type: string
          example: 534e0480-f444-40c0-bc2e-2ef17bf7999e
    get:
      tags:
        - Auto Settlements
      summary: Child Address
      description: >-
        This endpoint retrieves the auto settlement configurations for a
        specific address identified. It provides details about the rules and
        settings associated with automatic settlements for the specified
        address.
      operationId: childAddress1
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      isActive:
                        type: boolean
                        example: true
                      rules:
                        type: array
                        items:
                          type: object
                          properties:
                            createdAt:
                              type: string
                              example: '2025-08-26T17:28:38.273Z'
                            destination:
                              type: object
                              properties:
                                address:
                                  type: string
                                  example: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                                asset:
                                  type: string
                                  example: USDC
                                blockchain:
                                  type: string
                                  example: optimism
                            id:
                              type: string
                              example: 48c52f4a-c0bf-45c9-a322-1fef00f00431
                            isActive:
                              type: boolean
                              example: true
                            name:
                              type: string
                              example: Swap from USDT to OP USDC
                            order:
                              type: string
                              example: FASTEST
                            slippageTolerance:
                              type: string
                              example: '5'
                            source:
                              type: object
                              properties:
                                assets:
                                  type: array
                                  items:
                                    type: string
                                    example: USDT
                                  example:
                                    - USDT
                                blockchain:
                                  type: string
                                  example: base
                                maxAmount:
                                  type: string
                                  example: '1000'
                                minAmount:
                                  type: string
                                  example: '1'
                            updatedAt:
                              type: string
                              example: '2025-08-26T17:32:08.108Z'
                        example:
                          - createdAt: '2025-08-26T17:28:38.273Z'
                            destination:
                              address: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                              asset: USDC
                              blockchain: optimism
                            id: 48c52f4a-c0bf-45c9-a322-1fef00f00431
                            isActive: true
                            name: Swap from USDT to OP USDC
                            order: FASTEST
                            slippageTolerance: '5'
                            source:
                              assets:
                                - USDT
                              blockchain: base
                              maxAmount: '1000'
                              minAmount: '1'
                            updatedAt: '2025-08-26T17:32:08.108Z'
                  message:
                    type: string
                    example: Auto settlement fetched successfully
                  statusCode:
                    type: number
                    example: 200
              examples:
                '200':
                  value:
                    data:
                      isActive: true
                      rules:
                        - createdAt: '2025-08-26T17:28:38.273Z'
                          destination:
                            address: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                            asset: USDC
                            blockchain: optimism
                          id: 48c52f4a-c0bf-45c9-a322-1fef00f00431
                          isActive: true
                          name: Swap from USDT to OP USDC
                          order: FASTEST
                          slippageTolerance: '5'
                          source:
                            assets:
                              - USDT
                            blockchain: base
                            maxAmount: '1000'
                            minAmount: '1'
                          updatedAt: '2025-08-26T17:32:08.108Z'
                    message: Auto settlement fetched successfully
                    statusCode: 200
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````